- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.menu.MenuBar Class Reference

The smjg.libs.sdwf.menu.MenuBar class represents a window's top-level menu bar. More...

Inheritance diagram for smjg.libs.sdwf.menu.MenuBar:

List of all members.

## Public Member Functions
| this (Application a, uint id)
| Constructs a new MenuBar from a resource.
| this (Application a, string name)
| Constructs a new MenuBar from a resource.
| this ()
| Constructs a new, initially empty menu bar.
| this (HMENU h, bool autoDelete=false)
| Constructs a MenuBar object from a pre-existing Windows menu bar.
WindowBase | window ()
| The window to which this MenuBar is attached.
## Protected Member Functions
override bool | shouldDelete ()
| Whether the Windows interface element should be destroyed when this MenuBar object is garbage-collected.
override void | updateDisplay ()

## Detailed Description

The smjg.libs.sdwf.menu.MenuBar class represents a window's top-level menu bar.

Since:
  0.5

## Constructor & Destructor Documentation

smjg.libs.sdwf.menu.MenuBar.this | ( | Application | a,
|  | uint | id |
| ) |  |  |

Constructs a new MenuBar from a resource.

Parameters:

  | a | application instance to which the resource belongs.
  | id | numeric ID of the menu resource.

Status:
  done

smjg.libs.sdwf.menu.MenuBar.this | ( | Application | a,
|  | string | name |
| ) |  |  |

Constructs a new MenuBar from a resource.

Parameters:

  | a | application instance to which the resource belongs.
  | name | name of the menu resource.

Status:
  test

smjg.libs.sdwf.menu.MenuBar.this | ( |  | ) |

Constructs a new, initially empty menu bar.

smjg.libs.sdwf.menu.MenuBar.this | ( | HMENU | h,
|  | bool | autoDelete = `false` |
| ) |  |  |

Constructs a MenuBar object from a pre-existing Windows menu bar.

Parameters:

  | h | handle of the menu bar.
  | autoDelete | whether SDWF will automatically destroy the menu bar when the MenuBar object is garbage-collected.

Reimplemented from smjg.libs.sdwf.menu.Menu.

## Member Function Documentation

WindowBase smjg.libs.sdwf.menu.MenuBar.window | ( |  | ) |

The window to which this MenuBar is attached.

override bool smjg.libs.sdwf.menu.MenuBar.shouldDelete | ( |  | ) | `[protected]`

Whether the Windows interface element should be destroyed when this MenuBar object is garbage-collected.

Reimplemented from smjg.libs.sdwf.menu.Menu.

override void smjg.libs.sdwf.menu.MenuBar.updateDisplay | ( |  | ) | `[protected]`

Reimplemented from smjg.libs.sdwf.menu.Menu.

The documentation for this class was generated from the following file:

- menu.d